#ifndef TESTSDAG_H
#define TESTSDAG_H

#include "sdag.h"
#include "sdag.decl.h"
#include "main.h"
#include "testcharm.h"

class Testsdag : public Chare
{
#include "testsdag.sdag.h"
  public:
    int i,j;
    Testsdag(Msg *msg) {
      __sdag_init();
      CProxy_Testsdag ptest(thishandle);
      ptest.teststart(msg);
    }
};

#endif
